Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Zip Namespace Reference

## Namespaces
namespace | Compression

## Classes
class | BaseArchiveStorage
| An abstract IArchiveStorage suitable for extension by inheritance. More...
class | DescriptorData
| Holds data pertinent to a data descriptor. More...
class | DiskArchiveStorage
| An IArchiveStorage implementation suitable for hard disks. More...
class | DynamicDiskDataSource
| Default implementation of IDynamicDataSource for files stored on disk. More...
class | EntryPatchData
class | ExtendedUnixData
| Class representing extended unix date time values. More...
class | FastZip
| FastZip provides facilities for creating and extracting zip files. More...
class | FastZipEvents
| FastZipEvents supports all events applicable to FastZip operations. More...
interface | IArchiveStorage
| Defines facilities for data storage when updating Zip Archives. More...
interface | IDynamicDataSource
| Represents a source of data that can dynamically provide multiple data sources based on the parameters passed. More...
interface | IEntryFactory
| Defines factory methods for creating new ZipEntry values. More...
interface | IStaticDataSource
| Provides a static way to obtain a source of data for an entry. More...
interface | ITaggedData
| ExtraData tagged value interface. More...
interface | ITaggedDataFactory
| A factory that creates tagged data instances. More...
class | KeysRequiredEventArgs
| Arguments used with KeysRequiredEvent. More...
class | MemoryArchiveStorage
| An IArchiveStorage implementation suitable for in memory streams. More...
class | NTTaggedData
| Class handling NT date time values. More...
class | RawTaggedData
| A raw binary tagged value. More...
class | StaticDiskDataSource
| Default implementation of a IStaticDataSource for use with files stored on disk. More...
class | TestStatus
| Status returned returned by ZipTestResultHandler during testing. More...
class | WindowsNameTransform
| WindowsNameTransform transforms ZipFile names to windows compatible ones. More...
class | ZipConstants
| This class contains constants used for Zip format files. More...
class | ZipEntry
| This class represents an entry in a zip archive. This can be a file or a directory ZipFile and ZipInputStream will give you instances of this class as information about the members in an archive. ZipOutputStream uses an instance of this class when creating an entry in a Zip file. Author of the original java version : Jochen Hoenicke. More...
class | ZipEntryFactory
| Basic implementation of IEntryFactory More...
class | ZipException
| Represents exception conditions specific to Zip archive handling. More...
class | ZipExtraData
| A class to handle the extra data field for Zip entries. More...
class | ZipFile
| This class represents a Zip archive. You can ask for the contained entries, or get an input stream for a file entry. The entry is automatically decompressed. More...
class | ZipHelperStream
| This class assists with writing/reading from Zip files. More...
class | ZipInputStream
| This is an InflaterInputStream that reads the files baseInputStream an zip archive one after another. It has a special method to get the zip entry of the next file. The zip entry contains information about the file name size, compressed size, Crc, etc. It includes support for Stored and Deflated entries. Author of the original java version : Jochen Hoenicke. More...
class | ZipNameTransform
| ZipNameTransform transforms names as per the Zip file naming convention. More...
class | ZipOutputStream
| This is a DeflaterOutputStream that writes the files into a zip archive one after another. It has a special method to start a new zip entry. The zip entries contains information about the file name size, compressed size, CRC, etc. More...

## Enumerations
enum | UseZip64 { Off , On , Dynamic }
| Determines how entries are tested to see if they should use Zip64 extensions or not. More...
enum | CompressionMethod { Stored = 0 , Deflated = 8 , Deflate64 = 9 , BZip2 = 11 , WinZipAES = 99 }
| The kind of compression used for an entry in an archive. More...
enum | EncryptionAlgorithm { None = 0 , PkzipClassic = 1 , Des = 0x6601 , RC2 = 0x6602 , TripleDes168 = 0x6603 , TripleDes112 = 0x6609 , Aes128 = 0x660e , Aes192 = 0x660f , Aes256 = 0x6610 , RC2Corrected = 0x6702 , Blowfish = 0x6720 , Twofish = 0x6721 , RC4 = 0x6801 , Unknown = 0xffff }
| Identifies the encryption algorithm used for an entry. More...
enum | GeneralBitFlags : int { Encrypted = 0x0001 , Method = 0x0006 , Descriptor = 0x0008 , ReservedPKware4 = 0x0010 , Patched = 0x0020 , StrongEncryption = 0x0040 , Unused7 = 0x0080 , Unused8 = 0x0100 , Unused9 = 0x0200 , Unused10 = 0x0400 , UnicodeText = 0x0800 , EnhancedCompress = 0x1000 , HeaderMasked = 0x2000 , ReservedPkware14 = 0x4000 , ReservedPkware15 = 0x8000 }
| Defines the contents of the general bit flags field for an archive entry. More...
enum | HostSystemID { Msdos = 0 , Amiga = 1 , OpenVms = 2 , Unix = 3 , VMCms = 4 , AtariST = 5 , OS2 = 6 , Macintosh = 7 , ZSystem = 8 , Cpm = 9 , WindowsNT = 10 , MVS = 11 , Vse = 12 , AcornRisc = 13 , Vfat = 14 , AlternateMvs = 15 , BeOS = 16 , Tandem = 17 , OS400 = 18 , OSX = 19 , WinZipAES = 99 }
| Defines known values for the HostSystemID property. More...
enum | TestStrategy { FindFirstError , FindAllErrors }
| The strategy to apply to testing. More...
enum | TestOperation { Initialising , EntryHeader , EntryData , EntryComplete , MiscellaneousTests , Complete }
| The operation in progress reported by a ZipTestResultHandler during testing. More...
enum | FileUpdateMode { Safe , Direct }
| The possible ways of applying updates to an archive. More...

## Functions
delegate void | ZipTestResultHandler (TestStatus status, string message)
| Delegate invoked during testing if supplied indicating current progress and status.

## Enumeration Type Documentation

## ◆ CompressionMethod

enum ICSharpCode.SharpZipLib.Zip.CompressionMethod

The kind of compression used for an entry in an archive.

Enumerator
Stored | A direct copy of the file contents is held in the archive.
Deflated | Common Zip compression method using a sliding dictionary of up to 32KB and secondary compression from Huffman/Shannon-Fano trees.
Deflate64 | An extension to deflate with a 64KB window. Not supported by Zip currently.
BZip2 | BZip2 compression. Not supported by Zip.
WinZipAES | WinZip special for AES encryption, Now supported by Zip.

## ◆ EncryptionAlgorithm

enum ICSharpCode.SharpZipLib.Zip.EncryptionAlgorithm

Identifies the encryption algorithm used for an entry.

Enumerator
None | No encryption has been used.
PkzipClassic | Encrypted using PKZIP 2.0 or 'classic' encryption.
Des | DES encryption has been used.
RC2 | RCS encryption has been used for encryption.
TripleDes168 | Triple DES encryption with 168 bit keys has been used for this entry.
TripleDes112 | Triple DES with 112 bit keys has been used for this entry.
Aes128 | AES 128 has been used for encryption.
Aes192 | AES 192 has been used for encryption.
Aes256 | AES 256 has been used for encryption.
RC2Corrected | RC2 corrected has been used for encryption.
Blowfish | Blowfish has been used for encryption.
Twofish | Twofish has been used for encryption.
RC4 | RC4 has been used for encryption.
Unknown | An unknown algorithm has been used for encryption.

## ◆ FileUpdateMode

enum ICSharpCode.SharpZipLib.Zip.FileUpdateMode

The possible ways of applying updates to an archive.

Enumerator
Safe | Perform all updates on temporary files ensuring that the original file is saved.
Direct | Update the archive directly, which is faster but less safe.

## ◆ GeneralBitFlags

enum ICSharpCode.SharpZipLib.Zip.GeneralBitFlags : int

Defines the contents of the general bit flags field for an archive entry.

Enumerator
Encrypted | Bit 0 if set indicates that the file is encrypted.
Method | Bits 1 and 2 - Two bits defining the compression method (only for Method 6 Imploding and 8,9 Deflating)
Descriptor | Bit 3 if set indicates a trailing data desciptor is appended to the entry data.
ReservedPKware4 | Bit 4 is reserved for use with method 8 for enhanced deflation.
Patched | Bit 5 if set indicates the file contains Pkzip compressed patched data. Requires version 2.7 or greater.
StrongEncryption | Bit 6 if set indicates strong encryption has been used for this entry.
Unused7 | Bit 7 is currently unused.
Unused8 | Bit 8 is currently unused.
Unused9 | Bit 9 is currently unused.
Unused10 | Bit 10 is currently unused.
UnicodeText | Bit 11 if set indicates the filename and comment fields for this file must be encoded using UTF-8.
EnhancedCompress | Bit 12 is documented as being reserved by PKware for enhanced compression.
HeaderMasked | Bit 13 if set indicates that values in the local header are masked to hide their actual values, and the central directory is encrypted. Used when encrypting the central directory contents.
ReservedPkware14 | Bit 14 is documented as being reserved for use by PKware.
ReservedPkware15 | Bit 15 is documented as being reserved for use by PKware.

## ◆ HostSystemID

enum ICSharpCode.SharpZipLib.Zip.HostSystemID

Defines known values for the HostSystemID property.

Enumerator
Msdos | Host system = MSDOS.
Amiga | Host system = Amiga.
OpenVms | Host system = Open VMS.
Unix | Host system = Unix.
VMCms | Host system = VMCms.
AtariST | Host system = Atari ST.
OS2 | Host system = OS2.
Macintosh | Host system = Macintosh.
ZSystem | Host system = ZSystem.
Cpm | Host system = Cpm.
WindowsNT | Host system = Windows NT.
MVS | Host system = MVS.
Vse | Host system = VSE.
AcornRisc | Host system = Acorn RISC.
Vfat | Host system = VFAT.
AlternateMvs | Host system = Alternate MVS.
BeOS | Host system = BEOS.
Tandem | Host system = Tandem.
OS400 | Host system = OS400.
OSX | Host system = OSX.
WinZipAES | Host system = WinZIP AES.

## ◆ TestOperation

enum ICSharpCode.SharpZipLib.Zip.TestOperation

The operation in progress reported by a ZipTestResultHandler during testing.

See also
  ZipFile.TestArchive(bool)

TestArchive

Enumerator
Initialising | Setting up testing.
EntryHeader | Testing an individual entries header.
EntryData | Testing an individual entries data.
EntryComplete | Testing an individual entry has completed.
MiscellaneousTests | Running miscellaneous tests.
Complete | Testing is complete.

## ◆ TestStrategy

enum ICSharpCode.SharpZipLib.Zip.TestStrategy

The strategy to apply to testing.

Enumerator
FindFirstError | Find the first error only.
FindAllErrors | Find all possible errors.

## ◆ UseZip64

enum ICSharpCode.SharpZipLib.Zip.UseZip64

Determines how entries are tested to see if they should use Zip64 extensions or not.

Enumerator
Off | Zip64 will not be forced on entries during processing. An entry can have this overridden if required ZipEntry.ForceZip64
On | Zip64 should always be used.
Dynamic | #ZipLib will determine use based on entry values when added to archive.

## Function Documentation

## ◆ ZipTestResultHandler()

delegate void ICSharpCode.SharpZipLib.Zip.ZipTestResultHandler | ( | TestStatus | status,
|  | string | message )

Delegate invoked during testing if supplied indicating current progress and status.

If the message is non-null an error has occured. If the message is null the operation as found in status has started.

Here is the caller graph for this function: